diff mbox

[dpdk-dev] doc: update qede management firmware guide

Message ID 1527893861-614-1-git-send-email-rasesh.mody@cavium.com (mailing list archive)
State Superseded, archived
Delegated to: Ferruh Yigit
Headers show

Checks

Context Check Description
ci/checkpatch success coding style OK
ci/Intel-compilation success Compilation OK

Commit Message

Mody, Rasesh June 1, 2018, 10:57 p.m. UTC
Fixes: c49a438fce90 ("doc: update qede guide and features")
Fixes: db86fbe54d90 ("doc: update qede PMD NIC guide")
Cc: stable@dpdk.org

Signed-off-by: Rasesh Mody <rasesh.mody@cavium.com>
---
 doc/guides/nics/qede.rst |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Comments

Ferruh Yigit June 8, 2018, 6:09 p.m. UTC | #1
On 6/1/2018 11:57 PM, Rasesh Mody wrote:
> Fixes: c49a438fce90 ("doc: update qede guide and features")
> Fixes: db86fbe54d90 ("doc: update qede PMD NIC guide")
> Cc: stable@dpdk.org
> 
> Signed-off-by: Rasesh Mody <rasesh.mody@cavium.com>
> ---
>  doc/guides/nics/qede.rst |   12 ++++++------
>  1 file changed, 6 insertions(+), 6 deletions(-)
> 
> diff --git a/doc/guides/nics/qede.rst b/doc/guides/nics/qede.rst
> index a4adf75..5ebd119 100644
> --- a/doc/guides/nics/qede.rst
> +++ b/doc/guides/nics/qede.rst
> @@ -66,12 +66,12 @@ Prerequisites
>    or `QLogic Driver Download Center <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNewSearch.aspx>`_.
>    To download firmware file from QLogic website, select adapter category, model and DPDK Poll Mode Driver.
>  
> -- Requires management firmware (MFW) version **8.34.x.x** or higher to be
> -  flashed on to the adapter. If the required management firmware is not
> -  available then download from
> -  `QLogic Driver Download Center <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNewSearch.aspx>`_.
> -  For downloading firmware upgrade utility, select adapter category, model and Linux distro.
> -  To flash the management firmware refer to the instructions in the QLogic Firmware Upgrade Utility Readme document.
> +- It is highly recommended that the NIC be updated with the latest available management firmware (MFW) version supported for that NIC.

Does it make sense to document minimum supported FW by the DPDK driver?

> +  Management Firmware and Firmware Upgrade Utility for Cavium FastLinQ(r) branded adapters can be downloaded from
> +  `Driver Download Center <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNewSearch.aspx>`_.
> +  For downloading Firmware Upgrade Utility, select NIC category, model and Linux distro.
> +  To update the management firmware, refer to the instructions in the Firmware Upgrade Utility Readme document.
> +  For OEM branded adapters please follow the instruction provided by the OEM to update the Management Firmware on the NIC.
>  
>  - SR-IOV requires Linux PF driver version **8.20.x.x** or higher.
>    If the required PF driver is not available then download it from
>
Mody, Rasesh June 8, 2018, 6:49 p.m. UTC | #2
> From: Ferruh Yigit [mailto:ferruh.yigit@intel.com]
> Sent: Friday, June 08, 2018 11:10 AM
> 
> On 6/1/2018 11:57 PM, Rasesh Mody wrote:
> > Fixes: c49a438fce90 ("doc: update qede guide and features")
> > Fixes: db86fbe54d90 ("doc: update qede PMD NIC guide")
> > Cc: stable@dpdk.org
> >
> > Signed-off-by: Rasesh Mody <rasesh.mody@cavium.com>
> > ---
> >  doc/guides/nics/qede.rst |   12 ++++++------
> >  1 file changed, 6 insertions(+), 6 deletions(-)
> >
> > diff --git a/doc/guides/nics/qede.rst b/doc/guides/nics/qede.rst index
> > a4adf75..5ebd119 100644
> > --- a/doc/guides/nics/qede.rst
> > +++ b/doc/guides/nics/qede.rst
> > @@ -66,12 +66,12 @@ Prerequisites
> >    or `QLogic Driver Download Center
> <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNe
> wSearch.aspx>`_.
> >    To download firmware file from QLogic website, select adapter category,
> model and DPDK Poll Mode Driver.
> >
> > -- Requires management firmware (MFW) version **8.34.x.x** or higher
> > to be
> > -  flashed on to the adapter. If the required management firmware is
> > not
> > -  available then download from
> > -  `QLogic Driver Download Center
> <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNe
> wSearch.aspx>`_.
> > -  For downloading firmware upgrade utility, select adapter category, model
> and Linux distro.
> > -  To flash the management firmware refer to the instructions in the QLogic
> Firmware Upgrade Utility Readme document.
> > +- It is highly recommended that the NIC be updated with the latest
> available management firmware (MFW) version supported for that NIC.
> 
> Does it make sense to document minimum supported FW by the DPDK
> driver?

The DPDK driver is backward compatible with older versions of Management FW (MFW). However, some of the newer features may not be available in older MFW. So, we recommend users to upgrade to latest available version.

I will check internally and get back on whether and if we need to put a minimum supported version in here.

Thanks!
-Rasesh
> 
> > +  Management Firmware and Firmware Upgrade Utility for Cavium
> > + FastLinQ(r) branded adapters can be downloaded from  `Driver Download
> Center
> <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNe
> wSearch.aspx>`_.
> > +  For downloading Firmware Upgrade Utility, select NIC category, model
> and Linux distro.
> > +  To update the management firmware, refer to the instructions in the
> Firmware Upgrade Utility Readme document.
> > +  For OEM branded adapters please follow the instruction provided by the
> OEM to update the Management Firmware on the NIC.
> >
> >  - SR-IOV requires Linux PF driver version **8.20.x.x** or higher.
> >    If the required PF driver is not available then download it from
> >
Mody, Rasesh June 28, 2018, 12:33 a.m. UTC | #3
Hi Ferruh,

> From: Mody, Rasesh
> Sent: Friday, June 08, 2018 11:50 AM
> 
> > From: Ferruh Yigit [mailto:ferruh.yigit@intel.com]
> > Sent: Friday, June 08, 2018 11:10 AM
> >
> > On 6/1/2018 11:57 PM, Rasesh Mody wrote:
> > > Fixes: c49a438fce90 ("doc: update qede guide and features")
> > > Fixes: db86fbe54d90 ("doc: update qede PMD NIC guide")
> > > Cc: stable@dpdk.org
> > >
> > > Signed-off-by: Rasesh Mody <rasesh.mody@cavium.com>
> > > ---
> > >  doc/guides/nics/qede.rst |   12 ++++++------
> > >  1 file changed, 6 insertions(+), 6 deletions(-)
> > >
> > > diff --git a/doc/guides/nics/qede.rst b/doc/guides/nics/qede.rst
> > > index
> > > a4adf75..5ebd119 100644
> > > --- a/doc/guides/nics/qede.rst
> > > +++ b/doc/guides/nics/qede.rst
> > > @@ -66,12 +66,12 @@ Prerequisites
> > >    or `QLogic Driver Download Center
> >
> <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNe
> > wSearch.aspx>`_.
> > >    To download firmware file from QLogic website, select adapter
> > > category,
> > model and DPDK Poll Mode Driver.
> > >
> > > -- Requires management firmware (MFW) version **8.34.x.x** or higher
> > > to be
> > > -  flashed on to the adapter. If the required management firmware is
> > > not
> > > -  available then download from
> > > -  `QLogic Driver Download Center
> >
> <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNe
> > wSearch.aspx>`_.
> > > -  For downloading firmware upgrade utility, select adapter
> > > category, model
> > and Linux distro.
> > > -  To flash the management firmware refer to the instructions in the
> > > QLogic
> > Firmware Upgrade Utility Readme document.
> > > +- It is highly recommended that the NIC be updated with the latest
> > available management firmware (MFW) version supported for that NIC.
> >
> > Does it make sense to document minimum supported FW by the DPDK
> > driver?
> 
> The DPDK driver is backward compatible with older versions of Management
> FW (MFW). However, some of the newer features may not be available in
> older MFW. So, we recommend users to upgrade to latest available version.
> 
> I will check internally and get back on whether and if we need to put a
> minimum supported version in here.

QEDE PMD does need one of the features which is in a later MFW (8.30.x.x) version. I've sent v2 patch with minimum supported MFW version.

Thanks!
-Rasesh
 
> Thanks!
> -Rasesh
> >
> > > +  Management Firmware and Firmware Upgrade Utility for Cavium
> > > + FastLinQ(r) branded adapters can be downloaded from  `Driver
> > > + Download
> > Center
> >
> <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNe
> > wSearch.aspx>`_.
> > > +  For downloading Firmware Upgrade Utility, select NIC category,
> > > + model
> > and Linux distro.
> > > +  To update the management firmware, refer to the instructions in
> > > + the
> > Firmware Upgrade Utility Readme document.
> > > +  For OEM branded adapters please follow the instruction provided
> > > + by the
> > OEM to update the Management Firmware on the NIC.
> > >
> > >  - SR-IOV requires Linux PF driver version **8.20.x.x** or higher.
> > >    If the required PF driver is not available then download it from
> > >
diff mbox

Patch

diff --git a/doc/guides/nics/qede.rst b/doc/guides/nics/qede.rst
index a4adf75..5ebd119 100644
--- a/doc/guides/nics/qede.rst
+++ b/doc/guides/nics/qede.rst
@@ -66,12 +66,12 @@  Prerequisites
   or `QLogic Driver Download Center <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNewSearch.aspx>`_.
   To download firmware file from QLogic website, select adapter category, model and DPDK Poll Mode Driver.
 
-- Requires management firmware (MFW) version **8.34.x.x** or higher to be
-  flashed on to the adapter. If the required management firmware is not
-  available then download from
-  `QLogic Driver Download Center <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNewSearch.aspx>`_.
-  For downloading firmware upgrade utility, select adapter category, model and Linux distro.
-  To flash the management firmware refer to the instructions in the QLogic Firmware Upgrade Utility Readme document.
+- It is highly recommended that the NIC be updated with the latest available management firmware (MFW) version supported for that NIC.
+  Management Firmware and Firmware Upgrade Utility for Cavium FastLinQ(r) branded adapters can be downloaded from
+  `Driver Download Center <http://driverdownloads.qlogic.com/QLogicDriverDownloads_UI/DefaultNewSearch.aspx>`_.
+  For downloading Firmware Upgrade Utility, select NIC category, model and Linux distro.
+  To update the management firmware, refer to the instructions in the Firmware Upgrade Utility Readme document.
+  For OEM branded adapters please follow the instruction provided by the OEM to update the Management Firmware on the NIC.
 
 - SR-IOV requires Linux PF driver version **8.20.x.x** or higher.
   If the required PF driver is not available then download it from